%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jboss-threads
Version:          2.0.0
Release:          %mkrel 7
Summary:          JBoss Threads
Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-threads

# git clone git://github.com/jbossas/jboss-threads.git
# cd jboss-threads/ && git archive --format=tar --prefix=jboss-threads-2.0.0.GA/ 2.0.0.GA | xz > jboss-threads-2.0.0.GA.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit
BuildRequires:    mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:    junit
BuildRequires:    apiviz
BuildRequires:    jboss-parent
BuildRequires:    jboss-logging

Requires:         jboss-logging
Requires:         jpackage-utils
Requires:         java

%description
This package contains JBoss Threads

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.0.0-7.mga3
+ Revision: 355167
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 dmorgan <dmorgan> 2.0.0-6.mga3
+ Revision: 330502
- Relocated jars to _javadir

* Sun Jan 29 2012 gil <gil> 2.0.0-2.mga2
+ Revision: 202885
- update to 2.0.0.GA
- imported package jboss-threads

  + dmorgan <dmorgan>
    - Fix buildrequires
    - Fix buildrequires
    - Clean spec file

